Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.xsl
Class XslParseException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--javax.xml.transform.TransformerException
                        |
                        +--javax.xml.transform.TransformerConfigurationException
                              |
                              +--com.caucho.xsl.XslParseException

All Implemented Interfaces:
  CompileException, java.io.Serializable

public class XslParseException
extends TransformerConfigurationException
implements CompileException

See Also:
  Serialized Form

Field Summary
`protected java.lang.Throwable` | `e`

Constructor Summary
`XslParseException()`
`XslParseException(java.lang.String msg)`
`XslParseException(java.lang.Throwable e)`

Method Summary
`static XslParseException` | `create(java.lang.String msg)` Hack for js.
`java.lang.Throwable` | `getCause()` Returns the wrapped exception.
`java.lang.String` | `getMessage()`
`void` | `printStackTrace()` Prints the method trace.
`void` | `printStackTrace(java.io.PrintStream os)` Prints the method trace.
`void` | `printStackTrace(java.io.PrintWriter pw)` Prints the method trace.
`java.lang.String` | `toString()`

Methods inherited from class javax.xml.transform.TransformerException
`getException, getLocationAsString, getLocator, getMessageAndLocation, initCause, setLocator`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### e

    protected java.lang.Throwable e

Constructor Detail

### XslParseException

    public XslParseException()

### XslParseException

    public XslParseException(java.lang.String msg)

### XslParseException

    public XslParseException(java.lang.Throwable e)

Method Detail

### create

    public static XslParseException create(java.lang.String msg)

  Hack for js.

### getCause

    public java.lang.Throwable getCause()

  Description copied from class: `TransformerException`
  Returns the wrapped exception.
  Overrides:
    `getCause` in class `TransformerException`

### getMessage

    public java.lang.String getMessage()

  Overrides:
    `getMessage` in class `java.lang.Throwable`

### printStackTrace

    public void printStackTrace()

  Description copied from class: `TransformerException`
  Prints the method trace.
  Overrides:
    `printStackTrace` in class `TransformerException`

### printStackTrace

    public void printStackTrace(java.io.PrintStream os)

  Description copied from class: `TransformerException`
  Prints the method trace.
  Overrides:
    `printStackTrace` in class `TransformerException`

### printStackTrace

    public void printStackTrace(java.io.PrintWriter pw)

  Description copied from class: `TransformerException`
  Prints the method trace.
  Overrides:
    `printStackTrace` in class `TransformerException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD